SystemMatrix.h File Reference
`#include "SparseMatrix.h"`
`#include "SystemMatrixPattern.h"`
`#include <escript/AbstractSystemMatrix.h>`
`#include "Options.h"`
`#include "Solver.h"`
`#include <escript/Data.h>`

Go to the source code of this file.

## Classes

class | paso::SystemMatrix< T >
| this class holds a (distributed) stiffness matrix More...

## Namespaces

| paso

## Typedefs

template<typename T >
using | paso::SystemMatrix_ptr = boost::shared_ptr< SystemMatrix< T > >
template<typename T >
using | paso::const_SystemMatrix_ptr = boost::shared_ptr< const SystemMatrix< T > >
typedef int | paso::SystemMatrixType

## Functions

void | paso::RHS_loadMM_toCSR (const char *filename, double *b, dim_t size)